diff -Nru auctex-11.86/debian/changelog auctex-11.86/debian/changelog
--- auctex-11.86/debian/changelog	2010-09-24 23:54:25.000000000 +0200
+++ auctex-11.86/debian/changelog	2011-06-02 16:06:48.000000000 +0200
@@ -1,3 +1,13 @@
+auctex (11.86-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Add Patch: Remove preview/latex/preview.pdf in make clean
+    (Closes: #628787)
+  * Add Patch: Preview not working with new Ghostscript
+    (Patch from CVS) (Closes: #610714)
+
+ -- Matthias Kümmerer <matthias@matthias-k.org>  Thu, 02 Jun 2011 16:03:08 +0200
+
 auctex (11.86-2) unstable; urgency=low
 
   * [3b1fd8d] Update copyright year for man pages and debian/variables.
diff -Nru auctex-11.86/debian/patches/0004-Fix-Preview-Latex.patch auctex-11.86/debian/patches/0004-Fix-Preview-Latex.patch
--- auctex-11.86/debian/patches/0004-Fix-Preview-Latex.patch	1970-01-01 01:00:00.000000000 +0100
+++ auctex-11.86/debian/patches/0004-Fix-Preview-Latex.patch	2011-06-02 16:17:30.000000000 +0200
@@ -0,0 +1,84 @@
+From: Matthias Kümmerer <matthias@matthias-k.org>
+Date: Tue, 31 May 2011 18:23:08 +0200
+Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=610714
+Origin: backport, http://cvs.savannah.gnu.org/viewvc/auctex/preview/preview.el?root=auctex&r1=1.284&r2=1.285&view=patch
+
+Changed to apply to Debian's version.
+Index: auctex-11.86/preview/preview.el
+===================================================================
+--- auctex-11.86.orig/preview/preview.el	2009-06-18 21:20:46.000000000 +0200
++++ auctex-11.86/preview/preview.el	2011-05-31 18:16:26.994268305 +0200
+@@ -1,7 +1,7 @@
+ ;;; preview.el --- embed preview LaTeX images in source buffer
+ 
+-;; Copyright (C) 2001, 2002, 2003, 2004, 2005,
+-;;               2006  Free Software Foundation, Inc.
++;; Copyright (C) 2001, 2002, 2003, 2004, 2005, 2006, 2010 Free
++;;   Software Foundation, Inc.
+ 
+ ;; Author: David Kastrup
+ ;; Keywords: tex, wp, convenience
+@@ -23,7 +23,7 @@
+ 
+ ;;; Commentary:
+ 
+-;; $Id: preview.el,v 1.284 2009/06/18 19:20:46 angeli Exp $
++;; $Id: preview.el,v 1.285 2010/10/14 19:30:38 angeli Exp $
+ ;;
+ ;; This style is for the "seamless" embedding of generated images
+ ;; into LaTeX source code.  Please see the README and INSTALL files
+@@ -355,7 +355,7 @@
+   :group 'preview-gs
+   :type 'string)
+ 
+-(defcustom preview-gs-options '("-q" "-dSAFER" "-dNOPAUSE"
++(defcustom preview-gs-options '("-q" "-dDELAYSAFER" "-dNOPAUSE"
+ 				"-DNOPLATFONTS" "-dPrinted"
+ 				"-dTextAlphaBits=4"
+ 				"-dGraphicsAlphaBits=4")
+@@ -1066,14 +1066,21 @@
+ 
+ (defun preview-prepare-fast-conversion ()
+   "This fixes up all parameters for fast conversion."
+-  (let ((file (if (consp (car preview-ps-file))
+-		  (if (consp (caar preview-ps-file))
+-		      (car (last (caar preview-ps-file)))
+-		    (caar preview-ps-file))
+-		(car preview-ps-file))))
++  (let* ((file (if (consp (car preview-ps-file))
++		   (if (consp (caar preview-ps-file))
++		       (car (last (caar preview-ps-file)))
++		     (caar preview-ps-file))
++		 (car preview-ps-file)))
++	 (all-files (if (and (consp (car preview-ps-file))
++			     (consp (caar preview-ps-file)))
++			(caar preview-ps-file)
++		      (list file))))
+     (setq preview-gs-dsc (preview-dsc-parse file))
+     (setq preview-gs-init-string
+-	  (concat preview-gs-init-string
++	  (concat (format "{<</PermitFileReading[%s]>> setuserparams \
++.locksafe} stopped pop "
++			  (mapconcat 'preview-ps-quote-filename all-files ""))
++		  preview-gs-init-string
+ 		  (format "[%s(r)file]aload exch %s .runandhide aload pop "
+ 			  (preview-ps-quote-filename file)
+ 			  (preview-gs-dsc-cvx 0 preview-gs-dsc))))))
+@@ -3512,7 +3519,7 @@
+ 
+ (defconst preview-version (eval-when-compile
+   (let ((name "$Name: release_11_86 $")
+-	(rev "$Revision: 1.284 $"))
++	(rev "$Revision: 1.285 $"))
+     (or (when (string-match "\\`[$]Name: *release_\\([^ ]+\\) *[$]\\'" name)
+ 	  (setq name (match-string 1 name))
+ 	  (while (string-match "_" name)
+@@ -3526,7 +3533,7 @@
+ 
+ (defconst preview-release-date
+   (eval-when-compile
+-    (let ((date "$Date: 2009/06/18 19:20:46 $"))
++    (let ((date "$Date: 2010/10/14 19:30:38 $"))
+       (string-match
+        "\\`[$]Date: *\\([0-9]+\\)/\\([0-9]+\\)/\\([0-9]+\\)"
+        date)
diff -Nru auctex-11.86/debian/patches/0005-Fix-Undeleted-Files-in-Clean.patch auctex-11.86/debian/patches/0005-Fix-Undeleted-Files-in-Clean.patch
--- auctex-11.86/debian/patches/0005-Fix-Undeleted-Files-in-Clean.patch	1970-01-01 01:00:00.000000000 +0100
+++ auctex-11.86/debian/patches/0005-Fix-Undeleted-Files-in-Clean.patch	2011-06-02 16:17:39.000000000 +0200
@@ -0,0 +1,15 @@
+From: Matthias Kümmerer <matthias@matthias-k.org>
+Date: Thu, 02 June 2011 15:48:08 +0200
+Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=628787
+
+Index: auctex-11.86/preview/latex/Makefile.in
+===================================================================
+--- auctex-11.86.orig/preview/latex/Makefile.in	2011-06-02 15:43:27.582256285 +0200
++++ auctex-11.86/preview/latex/Makefile.in	2011-06-02 15:43:48.898256279 +0200
+@@ -87,5 +87,5 @@
+ 	$(PDFLATEX) '\nonstopmode \AtBeginDocument{\OnlyDescription}\input{preview.drv}'
+ 
+ clean:
+-	rm -f *~ *.aux *.dvi *.drv *.log 
++	rm -f *~ *.aux *.dvi *.drv *.log *.pdf
+ 	rm -f $(TEXMFGEN) preview.ins preview-mk.ins 
diff -Nru auctex-11.86/debian/patches/series auctex-11.86/debian/patches/series
--- auctex-11.86/debian/patches/series	2010-09-24 23:54:54.000000000 +0200
+++ auctex-11.86/debian/patches/series	2011-06-02 15:43:15.000000000 +0200
@@ -1,3 +1,5 @@
 0001-Rationalize-HTML-documentation-targets-in-doc-Makefi.patch
 0002-Change-pdf-viewer-default-from-Evince-to-xpdf.patch
 0003-Fix-TeX-engine-alist-builtin-defvar.patch
+0004-Fix-Preview-Latex.patch
+0005-Fix-Undeleted-Files-in-Clean.patch
